> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/enumerations/payment-type-enum.md).

# PaymentTypeEnum

## Enumeration Members

### Authorization

```ts
Authorization: "AUTHORIZATION";
```

Payment used to update a customers payment method.

***

### DirectPayment

```ts
DirectPayment: "DIRECT_PAYMENT";
```

An on-session payment performed by a customer to pay for an invoice manually.

***

### DirectPaymentWithAuthorization

```ts
DirectPaymentWithAuthorization: "DIRECT_PAYMENT_WITH_AUTHORIZATION";
```

An on-session payment performed by a customer to pay for an invoice manually that stores the payment method for all future subscription payments.

***

### Initial

```ts
Initial: "INITIAL";
```

Initial payment made directly during checkout.

***

### ~~Monthly~~

```ts
Monthly: "MONTHLY";
```

Externally created recurring payment.

#### Deprecated

Recurring payments are not created externally anymore.

***

### Recurring

```ts
Recurring: "RECURRING";
```

Recurring charge made by our billing cycle.

***

### Retry

```ts
Retry: "RETRY";
```

An (automated) retry of a failed payment.

***

### SingleCharge

```ts
SingleCharge: "SINGLE_CHARGE";
```

A non-recurring, portal or API-triggered payment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/enumerations/payment-type-enum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
